This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 805289 - Adding samba printer doesn't work in gnome-control-center
Adding samba printer doesn't work in gnome-control-center
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 15:51 EDT by Michal Ambroz
Modified: 2013-02-18 08:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 07:48:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
adding smb printer (14.35 KB, image/png)
2012-03-20 15:51 EDT, Michal Ambroz
no flags Details

  None (edit)
Description Michal Ambroz 2012-03-20 15:51:32 EDT
Created attachment 571513 [details]
adding smb printer

Description of problem:
Adding samba printer doesn't work when adding the printer via gnome-control-center. I have tried to put there "printserver.domain", the IP address and also the full URI "smb://server.domain/printer". In all cases I can see in wireshark that the backend is trying to contact the server using the IPP and SNMP protocols, but not SMB protocol.

Version-Release number of selected component (if applicable):
control-center-3.3.91-1.fc17.x86_64
cups-1.5.2-6.fc17.x86_64
cups-lpd-1.5.2-6.fc17.x86_64
cups-pdf-2.6.1-1.fc17.x86_64
cups-pk-helper-0.2.1-3.fc17.x86_64
cups-libs-1.5.2-6.fc17.x86_64
cups-ipptool-1.5.2-6.fc17.x86_64
samba-3.6.3-80.fc17.1.x86_64
samba-common-3.6.3-80.fc17.1.x86_64
samba-client-3.6.3-80.fc17.1.x86_64
samba-winbind-krb5-locator-3.6.3-80.fc17.1.x86_64
system-config-printer-libs-1.3.9-1.fc17.x86_64
system-config-printer-1.3.9-1.fc17.x86_64


How reproducible:
100%

Steps to Reproduce:
1. login to gnome
2. run gnome-control-centre / Printers
3. try to add samba (windows) network printer

  
Actual results:
Nothing happens, Add button is greyed out all the time, it is not possible to add printer.

Expected results:
It is expected that:
- add button will be enabled
- printer network availability will be checked ower smb protocol
- new printer will be added

Additional info:
screenshot attached
Comment 1 Michal Ambroz 2012-03-20 16:00:48 EDT
As workaround it is still possible to use system-config-printer to add the printer.
Comment 2 Paolo Leoni 2012-04-18 09:56:39 EDT
I have the same issue.

This is a good UI but it's useless at the moment without a correct SystemD integration.

SystemD on Fedora 17 is loaded and running by default.
Comment 3 Marek Kašík 2012-04-18 10:02:11 EDT
Hi,

I plan to add support for samba printers in control-center-3.6.

Regards

Marek
Comment 4 Ozan Çağlayan 2012-12-19 07:43:56 EST
Is this now supported in Gnome 3.6? I couldn't add a samba printer through control-center in F18.
Comment 5 Marek Kašík 2012-12-19 07:54:44 EST
Hi,

unfortunately no. I didn't make it before 3.6 was released. I'm working on this right now and I think that I can say that the patch will be ready for 3.8.

Regards

Marek
Comment 6 Ozan Çağlayan 2012-12-19 09:29:30 EST
I'd be happy to test any patches.

Thank you :)
Comment 7 Michal Ambroz 2013-02-15 08:56:28 EST
Moved the release of Fedora 18 as this issue is still present in the F18 release.

Cross referencing the fedora forums:
http://forums.fedoraforum.org/showthread.php?p=1634627
http://forums.fedoraforum.org/showthread.php?p=1634634
Comment 8 Marek Kašík 2013-02-18 07:48:17 EST
Hi,

I've committed support for adding of samba printers to gnome-control-center's upstream. It will be available in next release (3.8).

Regards

Marek

See https://bugzilla.gnome.org/show_bug.cgi?id=683229 for additional information.
Comment 9 Paolo Leoni 2013-02-18 08:25:53 EST
This a great news Marek, thank you very much for your work!

Paolo

Note You need to log in before you can comment on or make changes to this bug.